/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.persistence.node.impl;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class ManagedNodeTest 
  {
    private ManagedNode managedNode;
    
    @Before
    public void setupFixture() 
      {
        managedNode = new ManagedNode();
      }

    @After
    public void tearDownFixture()
      {
        managedNode = null;
      }

    @Test
    public void destroy() 
      {
      }

    @Test
    public void refreshAttributes() 
      {
      }

    @Test
    public void canCopy() 
      {
        assertTrue(managedNode.canCopy());
      }

    @Test
    public void canCut() 
      {
        assertFalse(managedNode.canCut());
      }

    @Test
    public void canDestroy() 
      {
        assertFalse(managedNode.canDestroy());
      }

    @Test
    public void canRename() 
      {
        assertFalse(managedNode.canRename());
      }
    
    @Test
    public void testGetIcon()
      {
        assertNotNull(managedNode.getIcon(0)); // FIXME: shouldn't return null
      }
    
    @Test
    public void testGetOpenedIcon()
      {
        assertNotNull(managedNode.getOpenedIcon(0)); // FIXME: shouldn't return null
      }
    
    @Test
    public void testGetActions()
      {
        assertEquals(0, managedNode.getActions(true).length);
      }
    
    @Test
    public void testGetPreferredAction()
      {
        assertNull(managedNode.getPreferredAction());
      }
  }