/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.persistence.node.impl;

import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;
import org.openide.nodes.Node;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class MetadataPersistenceNodeManagerImplTest 
  {
    private MetadataPersistenceNodeManagerImpl nodeManager;
    
    @Before
    public void setupFixture()
      {
        nodeManager = new MetadataPersistenceNodeManagerImpl();
      }

    @Before
    public void tearDownFixture()
      {
        nodeManager = null;
      }

    @Test
    public void getRootNode() 
      {
        final Node node = nodeManager.getRootNode();
        assertNotNull(node);
        assertTrue(node instanceof MetadataRootNode);
      }
    
    @Test
    public void getRootNodeReturnsTheSameObject() 
      {
        final Node node1 = nodeManager.getRootNode();
        final Node node2 = nodeManager.getRootNode();
        assertTrue(node1 == node2);
      }
  }